diff -urN wine-5.15-orig/configure.ac wine-5.15/configure.ac
--- wine-5.15-orig/configure.ac	2020-08-15 06:37:58 +0900
+++ wine-5.15/configure.ac	2020-08-27 14:12:09 +0900
@@ -28,6 +28,11 @@
 
 dnl **** Command-line arguments ****
 
+AC_ARG_ENABLE(unixfs,AS_HELP_STRING([--disable-unixfs],[do not include unixfs support]))
+if test "x$enable_unixfs" != "xno"
+then
+    AC_DEFINE(ENABLE_UNIXFS, 1, [Define to enable unixfs]) 
+fi
 AC_ARG_ENABLE(win16, AS_HELP_STRING([--disable-win16],[do not include Win16 support]))
 AC_ARG_ENABLE(win64, AS_HELP_STRING([--enable-win64],[build a Win64 emulator on AMD64 (won't run Win32 binaries)]))
 AC_ARG_ENABLE(tests, AS_HELP_STRING([--disable-tests],[do not build the regression tests]))
diff -urN wine-5.15-orig/dlls/krnl386.exe16/int21.c wine-5.15/dlls/krnl386.exe16/int21.c
--- wine-5.15-orig/dlls/krnl386.exe16/int21.c	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/krnl386.exe16/int21.c	2020-08-27 14:12:09 +0900
@@ -27,6 +27,7 @@
 #include <stdio.h>
 #include <string.h>
 
+#include "ntstatus.h"
 #include "windef.h"
 #include "winbase.h"
 #include "winreg.h"
diff -urN wine-5.15-orig/dlls/ntdll/unix/file.c wine-5.15/dlls/ntdll/unix/file.c
--- wine-5.15-orig/dlls/ntdll/unix/file.c	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/ntdll/unix/file.c	2020-08-27 14:17:40 +0900
@@ -3248,7 +3248,9 @@
  */
 NTSTATUS nt_to_unix_file_name( const UNICODE_STRING *nameW, char **unix_name_ret, UINT disposition )
 {
+#if defined(ENABLE_UNIXFS)
     static const WCHAR unixW[] = {'u','n','i','x'};
+#endif
     static const WCHAR invalid_charsW[] = { INVALID_NT_CHARS, 0 };
 
     NTSTATUS status = STATUS_SUCCESS;
@@ -3293,7 +3295,9 @@
     name_len -= prefix_len;
 
     /* check for invalid characters (all chars except 0 are valid for unix) */
+#if defined(ENABLE_UNIXFS)
     is_unix = (prefix_len == 4 && !memcmp( prefix, unixW, sizeof(unixW) ));
+#endif
     if (is_unix)
     {
         for (p = name; p < name + name_len; p++)
@@ -3383,7 +3387,9 @@
  */
 NTSTATUS unix_to_nt_file_name( const char *name, WCHAR **nt )
 {
+#if defined(ENABLE_UNIXFS)
     static const WCHAR unix_prefixW[] = {'\\','?','?','\\','u','n','i','x',0};
+#endif
     WCHAR dos_prefixW[] = {'\\','?','?','\\','A',':','\\',0};
     const WCHAR *prefix = unix_prefixW;
     unsigned int lenW, lenA = strlen(name);
@@ -3401,6 +3407,7 @@
         dos_prefixW[4] += drive;
         prefix = dos_prefixW;
     }
+#if defined(ENABLE_UNIXFS)
     else if (status != STATUS_OBJECT_PATH_NOT_FOUND) return status;
 
     lenW = wcslen( prefix );
@@ -3411,6 +3418,9 @@
     for (p = buffer; *p; p++) if (*p == '/') *p = '\\';
     *nt = buffer;
     return STATUS_SUCCESS;
+#else
+    return status;
+#endif
 }
 
 
diff -urN wine-5.15-orig/dlls/shell32/folders.c wine-5.15/dlls/shell32/folders.c
--- wine-5.15-orig/dlls/shell32/folders.c	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/shell32/folders.c	2020-08-27 14:12:09 +0900
@@ -236,9 +236,11 @@
                 *piIndex = -IDI_SHELL_MY_DOCUMENTS;
             else if(IsEqualGUID(riid, &CLSID_NetworkPlaces))
                 *piIndex = -IDI_SHELL_MY_NETWORK_PLACES;
+#if defined(ENABLE_UNIXFS)
             else if(IsEqualGUID(riid, &CLSID_UnixFolder) ||
                     IsEqualGUID(riid, &CLSID_UnixDosFolder))
                 *piIndex = -IDI_SHELL_DRIVE;
+#endif
             else
                 *piIndex = -IDI_SHELL_FOLDER;
 	  }
diff -urN wine-5.15-orig/dlls/shell32/shellole.c wine-5.15/dlls/shell32/shellole.c
--- wine-5.15-orig/dlls/shell32/shellole.c	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/shell32/shellole.c	2020-08-27 14:12:09 +0900
@@ -82,8 +82,10 @@
 	{&CLSID_ShellFSFolder,	IFSFolder_Constructor},
 	{&CLSID_ShellItem,	IShellItem_Constructor},
 	{&CLSID_ShellLink,	IShellLink_Constructor},
+#if defined(ENABLE_UNIXFS)
 	{&CLSID_UnixDosFolder,  UnixDosFolder_Constructor},
 	{&CLSID_UnixFolder,     UnixFolder_Constructor},
+#endif
 	{&CLSID_ExplorerBrowser,ExplorerBrowser_Constructor},
 	{&CLSID_KnownFolderManager, KnownFolderManager_Constructor},
 	{&CLSID_Shell,          IShellDispatch_Constructor},
diff -urN wine-5.15-orig/dlls/shell32/shellpath.c wine-5.15/dlls/shell32/shellpath.c
--- wine-5.15-orig/dlls/shell32/shellpath.c	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/shell32/shellpath.c	2020-08-27 14:12:09 +0900
@@ -4901,9 +4901,11 @@
         DWORD call_for_attr;
     } folders[] =
     {
+#if defined(ENABLE_UNIXFS)
         { &CLSID_UnixFolder, TRUE, FALSE, FALSE },
         { &CLSID_UnixDosFolder, TRUE, FALSE, FALSE,
           SFGAO_FILESYSANCESTOR|SFGAO_FOLDER|SFGAO_HASSUBFOLDER, SFGAO_FILESYSTEM },
+#endif
         { &CLSID_FolderShortcut, FALSE, FALSE, FALSE,
           SFGAO_FILESYSTEM|SFGAO_FOLDER|SFGAO_LINK,
           SFGAO_HASSUBFOLDER|SFGAO_FILESYSTEM|SFGAO_FOLDER|SFGAO_FILESYSANCESTOR },
@@ -5033,9 +5035,11 @@
             *ppidl = _ILCreateDesktop();
             break;
 
+#if defined(ENABLE_UNIXFS)
         case CSIDL_PERSONAL:
             *ppidl = _ILCreateMyDocuments();
             break;
+#endif
 
         case CSIDL_INTERNET:
             *ppidl = _ILCreateIExplore();
diff -urN wine-5.15-orig/dlls/shell32/shfldr.h wine-5.15/dlls/shell32/shfldr.h
--- wine-5.15-orig/dlls/shell32/shfldr.h	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/shell32/shfldr.h	2020-08-27 14:12:09 +0900
@@ -80,5 +80,7 @@
 void SHELL_FS_ProcessDisplayFilename(LPWSTR szPath, DWORD dwFlags) DECLSPEC_HIDDEN;
 BOOL SHELL_FS_HideExtension(LPCWSTR pwszPath) DECLSPEC_HIDDEN;
 
+#if defined(ENABLE_UNIXFS)
 DEFINE_GUID( CLSID_UnixFolder, 0xcc702eb2, 0x7dc5, 0x11d9, 0xc6, 0x87, 0x00, 0x04, 0x23, 0x8a, 0x01, 0xcd );
 DEFINE_GUID( CLSID_UnixDosFolder, 0x9d20aae8, 0x0625, 0x44b0, 0x9c, 0xa7, 0x71, 0x88, 0x9c, 0x22, 0x54, 0xd9 );
+#endif
diff -urN wine-5.15-orig/dlls/shell32/shfldr_desktop.c wine-5.15/dlls/shell32/shfldr_desktop.c
--- wine-5.15-orig/dlls/shell32/shfldr_desktop.c	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/shell32/shfldr_desktop.c	2020-08-27 14:12:09 +0900
@@ -184,10 +184,12 @@
     }
     else if (PathGetDriveNumberW (lpszDisplayName) >= 0)
     {
+#if defined(ENABLE_UNIXFS)
         /* it's a filesystem path with a drive. Let MyComputer/UnixDosFolder parse it */
         if (UNIXFS_is_rooted_at_desktop()) 
             pidlTemp = _ILCreateGuid(PT_GUID, &CLSID_UnixDosFolder);
         else
+#endif
             pidlTemp = _ILCreateMyComputer ();
         szNext = lpszDisplayName;
     }
diff -urN wine-5.15-orig/dlls/shell32/shfldr_unixfs.c wine-5.15/dlls/shell32/shfldr_unixfs.c
--- wine-5.15-orig/dlls/shell32/shfldr_unixfs.c	2020-08-15 06:37:58 +0900
+++ wine-5.15/dlls/shell32/shfldr_unixfs.c	2020-08-27 14:12:09 +0900
@@ -165,7 +165,7 @@
 #include "pidl.h"
 #include "debughlp.h"
 
-#if !defined(__MINGW32__) && !defined(_MSC_VER)
+#if !defined(__MINGW32__) && !defined(_MSC_VER) && defined(ENABLE_UNIXFS)
 
 WINE_DEFAULT_DEBUG_CHANNEL(shell);
 
@@ -2572,6 +2572,7 @@
  *  FALSE, if not.
  */
 BOOL UNIXFS_is_rooted_at_desktop(void) {
+#if defined(ENABLE_UNIXFS)
     HKEY hKey;
     WCHAR wszRootedAtDesktop[69 + CHARS_IN_GUID] = {
         'S','o','f','t','w','a','r','e','\\','M','i','c','r','o','s','o','f','t','\\',
@@ -2585,5 +2586,6 @@
         RegCloseKey(hKey);
         return TRUE;
     }
+#endif
     return FALSE;
 }
diff -urN wine-5.15-orig/include/config.h.in wine-5.15/include/config.h.in
--- wine-5.15-orig/include/config.h.in	2020-08-15 06:37:58 +0900
+++ wine-5.15/include/config.h.in	2020-08-27 14:12:09 +0900
@@ -6,6 +6,9 @@
 #error config.h should not be used when cross-compiling
 #endif
 
+/* Define to enable unixfs */
+#undef ENABLE_UNIXFS
+
 /* Define to the file extension for executables. */
 #undef EXEEXT
 
